#
# spec file for package rubygem-rails-7.0
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rails-7.0
Version:        7.0.8.6
Release:        1.2
%define mod_name rails
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -7.0
# MANUAL
BuildRequires:  ruby-common >= 3.2.1

#!BuildIgnore:  ruby3.1-rubygem-sprockets-3.7
BuildRequires:  %{rubygem activejob >= 7.0}
BuildRequires:  %{rubygem activemodel:7.0}
BuildRequires:  %{rubygem railties:7.0}

# keep in sync with below
BuildRequires:  %{rubygem puma >= 5.0}
BuildRequires:  %{rubygem bootsnap}
BuildRequires:  %{rubygem importmap-rails}
BuildRequires:  %{rubygem jbuilder}
BuildRequires:  %{rubygem sprockets-rails}
BuildRequires:  %{rubygem sqlite3 >= 1.4}
BuildRequires:  %{rubygem stimulus-rails}
BuildRequires:  %{rubygem turbo-rails}
BuildRequires:  %{rubygem web-console }

# It says 3.0, but to avoid any question for the 3.7 we
# still have in Factory, let's go newer
BuildRequires:  %{rubygem sprockets > 3.8}
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.7.0}
BuildRequires:  %{rubygem gem2rpm}
URL:            https://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Full-stack web application framework
License:        MIT

%description
Ruby on Rails is a full-stack web framework optimized for programmer happiness
and sustainable productivity. It encourages beautiful code by favoring
convention over configuration.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Nov  7 2024 Marcus Rueckert <mrueckert@suse.de>
- Allow newer puma as well
* Thu Nov  7 2024 Marcus Rueckert <mrueckert@suse.de>
- loosen the sqlite3 dependency following the change in railties
  7.0
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- 7.0.8.6:
  [#]# Active Support
  * No changes.
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * No changes.
  [#]# Action View
  * No changes.
  [#]# Action Pack
  * No changes.
  [#]# Active Job
  * No changes.
  [#]# Action Mailer
  * Fix NoMethodError in `block_format` helper
  * Michael Leimstaedtner*
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * No changes.
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * No changes.
  [#]# Railties
  * No changes.
  [#]# Guides
  * No changes.
  7.0.8.5:
  [#]# Active Support
  * No changes.
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * No changes.
  [#]# Action View
  * No changes.
  [#]# Action Pack
  * Avoid regex backtracking in HTTP Token authentication
    [CVE-2024-47887]
  * Avoid regex backtracking in query parameter filtering
    [CVE-2024-41128]
  [#]# Active Job
  * No changes.
  [#]# Action Mailer
  * Avoid regex backtracking in `block_format` helper
    [CVE-2024-47889]
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * No changes.
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * Avoid backtracing in plain_text_for_blockquote_node
    [CVE-2024-47888]
  [#]# Railties
  * No changes.
  [#]# Guides
  * No changes.
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- 7.0.8.4:
  [#]# Active Support
  * No changes.
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * No changes.
  [#]# Action View
  * No changes.
  [#]# Action Pack
  * Include the HTTP Permissions-Policy on non-HTML Content-Types
    [CVE-2024-28103]
  [#]# Active Job
  * No changes.
  [#]# Action Mailer
  * No changes.
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * No changes.
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * No changes.
  [#]# Railties
  * No changes.
  7.0.8.2:
  [#]# Active Support
  * No changes.
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * No changes.
  [#]# Action View
  * No changes.
  [#]# Action Pack
  * No changes.
  [#]# Active Job
  * No changes.
  [#]# Action Mailer
  * No changes.
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * No changes.
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * Upgrade Trix to 1.3.2 to fix [CVE-2024-34341](https://github.com/basecamp/trix/security/advisories/GHSA-qjqp-xr96-cj99).
  * Rafael Mendonça França*
  [#]# Railties
  * No changes.
  7.0.8.1:
  [#]# Active Support
  * No changes.
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * No changes.
  [#]# Action View
  * No changes.
  [#]# Action Pack
  * Fix possible XSS vulnerability with the `translate` method in controllers
    CVE-2024-26143
  [#]# Active Job
  * No changes.
  [#]# Action Mailer
  * No changes.
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * Disables the session in `ActiveStorage::Blobs::ProxyController`
    and `ActiveStorage::Representations::ProxyController`
    in order to allow caching by default in some CDNs as CloudFlare
    Fixes #44136
  * Bruno Prieto*
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * No changes.
  [#]# Railties
  * No changes.
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- 7.0.8:
  [#]# Active Support
  * Fix `TimeWithZone` still using deprecated `#to_s` when `ENV` or `config` to
    disable it are set.
  * Hartley McGuire*
  * Fix CacheStore#write_multi when using a distributed Redis cache with a connection pool.
    Fixes [#48938](https://github.com/rails/rails/issues/48938).
  * Jonathan del Strother*
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * Fix `change_column` not setting `precision: 6` on `datetime` columns when
    using 7.0+ Migrations and SQLite.
  * Hartley McGuire*
  * Fix unscope is not working in specific case
    Before:
    ```ruby
    Post.where(id: 1...3).unscope(where: :id).to_sql # "SELECT `posts`.* FROM `posts` WHERE `posts`.`id` >= 1 AND `posts`.`id` < 3"
    ```
    After:
    ```ruby
    Post.where(id: 1...3).unscope(where: :id).to_sql # "SELECT `posts`.* FROM `posts`"
    ```
    Fixes #48094.
  * Kazuya Hatanaka*
  * Fix associations to a STI model including a `class_name` parameter
    ```ruby
    class Product < ApplicationRecord
    has_many :requests, as: :requestable, class_name: "ProductRequest", dependent: :destroy
    end
    [#] STI tables
    class Request < ApplicationRecord
    belongs_to :requestable, polymorphic: true
    validate :request_type, presence: true
    end
    class ProductRequest < Request
    belongs_to :user
    end
    ```
    Accessing such association would lead to:
    ```
    table_metadata.rb:22:in `has_column?': undefined method `key?' for nil:NilClass (NoMethodError)
    ```
  * Romain Filinto*
  * Fix `change_table` setting datetime precision for 6.1 Migrations
  * Hartley McGuire*
  * Fix change_column setting datetime precision for 6.1 Migrations
  * Hartley McGuire*
  [#]# Action View
  * Fix `form_for` missing the hidden `_method` input for models with a
    namespaced route.
  * Hartley McGuire*
  * Fix `render collection: @records, cache: true` inside `jbuilder` templates
    The previous fix that shipped in `7.0.7` assumed template fragments are always strings,
    this isn't true with `jbuilder`.
  * Jean Boussier*
  [#]# Action Pack
  * Fix `HostAuthorization` potentially displaying the value of the
    X_FORWARDED_HOST header when the HTTP_HOST header is being blocked.
  * Hartley McGuire*, *Daniel Schlosser*
  [#]# Active Job
  * Fix Active Job log message to correctly report a job failed to enqueue
    when the adapter raises an `ActiveJob::EnqueueError`.
  * Ben Sheldon*
  [#]# Action Mailer
  * No changes.
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * No changes.
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * No changes.
  [#]# Railties
  * Omit `webdrivers` gem dependency from `Gemfile` template
  * Sean Doyle*
  7.0.7.2:
  No changes between this and 7.0.7.2.  This release was just to fix file permissions in the previous release.
  7.0.7.1:
  [#]# Active Support
  * Use a temporary file for storing unencrypted files while editing
    [CVE-2023-38037]
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * No changes.
  [#]# Action View
  * No changes.
  [#]# Action Pack
  * No changes.
  [#]# Active Job
  * No changes.
  [#]# Action Mailer
  * No changes.
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * No changes.
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * No changes.
  [#]# Railties
  * No changes.
  7.0.7:
  [#]# Active Support
  * Fix `Cache::NullStore` with local caching for repeated reads.
  * fatkodima*
  * Fix `to_s` with no arguments not respecting custom `:default` formats
  * Hartley McGuire*
  * Fix `ActiveSupport::Inflector.humanize(nil)` raising ``NoMethodError: undefined method `end_with?' for nil:NilClass``.
  * James Robinson*
  * Fix `Enumerable#sum` for `Enumerator#lazy`.
  * fatkodima*, *Matthew Draper*, *Jonathan Hefner*
  * Improve error message when EventedFileUpdateChecker is used without a
    compatible version of the Listen gem
  * Hartley McGuire*
  [#]# Active Model
  * Error.full_message now strips ":base" from the message.
  * zzak*
  * Add a load hook for `ActiveModel::Model` (named `active_model`) to match the load hook for
    `ActiveRecord::Base` and allow for overriding aspects of the `ActiveModel::Model` class.
  [#]# Active Record
  * Restores functionality to the missing method when using enums and fixes.
  * paulreece*
  * Fix `StatementCache::Substitute` with serialized type.
  * ywenc*
  * Fix `:db_runtime` on notification payload when application have multiple databases.
  * Eileen M. Uchitelle*
  * Correctly dump check constraints for MySQL 8.0.16+.
  * Steve Hill*
  * Fix `ActiveRecord::QueryMethods#in_order_of` to include `nil`s, to match the
    behavior of `Enumerable#in_order_of`.
    For example, `Post.in_order_of(:title, [nil, "foo"])` will now include posts
    with `nil` titles, the same as `Post.all.to_a.in_order_of(:title, [nil, "foo"])`.
  * fatkodima*
  * Revert "Fix autosave associations with validations added on `:base` of the associated objects."
    This change intended to remove the :base attribute from the message,
    but broke many assumptions which key these errors were stored.
  * zzak*
  * Fix `#previously_new_record?` to return true for destroyed records.
    Before, if a record was created and then destroyed, `#previously_new_record?` would return true.
    Now, any UPDATE or DELETE to a record is considered a change, and will result in `#previously_new_record?`
    returning false.
  * Adrianna Chang*
  * Revert breaking changes to `has_one` relationship deleting the old record before the new one is validated.
  * zzak*
  * Fix support for Active Record instances being uses in queries.
    As of `7.0.5`, query arguments were deep duped to avoid mutations impacting
    the query cache, but this had the adverse effect to clearing the primary key when
    the query argument contained an `ActiveRecord::Base` instance.
    This broke the `noticed` gem.
  * Jean Boussier*
  [#]# Action View
  * Fix `render collection: @records, cache: true` to cache fragments as bare strings
    Previously it would incorrectly cache them as Action View buffers.
  * Jean Boussier*
  * Don't double-encode nested `field_id` and `field_name` index values
    Pass `index: @options` as a default keyword argument to `field_id` and
    `field_name` view helper methods.
  * Sean Doyle*
  [#]# Action Pack
  * No changes.
  [#]# Active Job
  * No changes.
  [#]# Action Mailer
  * No changes.
  [#]# Action Cable
  * No changes.
  [#]# Active Storage
  * No changes.
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * No changes.
  [#]# Railties
  * Update default scaffold templates to set 303 (See Other) as status code
    on redirect for the update action for XHR requests other than GET or POST
    to avoid issues (e.g browsers trying to follow the redirect using the
    original request method resulting in double PATCH/PUT)
  * Guillermo Iguaran*
  7.0.6:
  [#]# Active Support
  * Fix `EncryptedConfiguration` returning incorrect values for some `Hash`
    methods
  * Hartley McGuire*
  * Fix arguments being destructed `Enumerable#many?` with block.
  * Andrew Novoselac*
  * Fix humanize for strings ending with id.
  * fatkodima*
  [#]# Active Model
  * No changes.
  [#]# Active Record
  * Fix autosave associations with validations added on `:base` of the associated objects.
  * fatkodima*
  * Fix result with anonymous PostgreSQL columns of different type from json.
  * Oleksandr Avoiants*
  * Preserve timestamp when setting an `ActiveSupport::TimeWithZone` value to `timestamptz` attribute.
  * fatkodima*
  * Fix where on association with has_one/has_many polymorphic relations.
    Before:
    ```ruby
    Treasure.where(price_estimates: PriceEstimate.all)
    [#]=> SELECT (...) WHERE "treasures"."id" IN (SELECT "price_estimates"."estimate_of_id" FROM "price_estimates")
    ```
    Later:
    ```ruby
    Treasure.where(price_estimates: PriceEstimate.all)
    [#]=> SELECT (...) WHERE "treasures"."id" IN (SELECT "price_estimates"."estimate_of_id" FROM "price_estimates" WHERE "price_estimates"."estimate_of_type" = 'Treasure')
    ```
  * Lázaro Nixon*
  * Fix decrementing counter caches on optimistically locked record deletion
  * fatkodima*
  * Ensure binary-destined values have binary encoding during type cast.
  * Matthew Draper*
  * Preserve existing column default functions when altering table in SQLite.
  * fatkodima*
  * Remove table alias added when using `where.missing` or `where.associated`.
  * fatkodima*
  * Fix `Enumerable#in_order_of` to only flatten first level to preserve nesting.
  * Miha Rekar*
  [#]# Action View
  * No changes.
  [#]# Action Pack
  * No changes.
  [#]# Active Job
  * Fix error Active Job passed class with `permitted?`.
  * Alex Baldwin*
  [#]# Action Mailer
  * No changes.
  [#]# Action Cable
  * Fix Action Cable Redis configuration with sentinels.
  * Dmitriy Ivliev*
  [#]# Active Storage
  * Fix retrieving rotation value from FFmpeg on version 5.0+.
    In FFmpeg version 5.0+ the rotation value has been removed from tags.
    Instead the value can be found in side_data_list. Along with
    this update it's possible to have values of -90, -270 to denote the video
    has been rotated.
  * Haroon Ahmed*
  [#]# Action Mailbox
  * No changes.
  [#]# Action Text
  * No changes.
  [#]# Railties
  * Avoid escaping paths when editing credentials.
  * Jonathan Hefner*
* Tue Jun 27 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5.1
  * https://rubyonrails.org/2023/6/26/Rails-Versions-7-0-5-1-6-1-7-4-have-been-released
* Mon Jun 26 2023 Mykola Krachkovsky <w01dnick@gmail.com>
- updated to version 7.0.5
  * https://rubyonrails.org/2023/5/24/Rails-7-0-5-has-been-released
* Fri May 12 2023 Marcus Rueckert <mrueckert@suse.de>
- fix the additional Requires for the rubyX.Y-rails-7.0:
  this requires the new ruby-common (boo#1208872)
* Fri Apr 21 2023 Marcus Rueckert <mrueckert@suse.de>
- Update to version 7.0.4.3:
  https://rubyonrails.org/2023/3/13/Rails-7-0-4-3-and-6-1-7-3-have-been-released
  https://rubyonrails.org/2023/1/24/Rails-7-0-4-2-and-6-1-7-2-have-been-released
  https://rubyonrails.org/2023/1/17/Rails-Versions-6-0-6-1-6-1-7-1-7-0-4-1-have-been-released
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.4
  no changelog found
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3.1
  no changelog found
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.3.1
  no changelog found
* Mon May 16 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.3
  https://rubyonrails.org/2022/5/9/Rails-7-0-3-6-1-6-6-0-5-and-5-2-8-have-been-released
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.4
  no changelog found
* Thu Mar 10 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 7.0.2.3
  https://rubyonrails.org/2022/3/8/Rails-7-0-2-3-6-1-4-7-6-0-4-7-and-5-2-6-3-have-been-released
* Mon Mar  7 2022 Stephan Kulow <coolo@suse.com>
- Add requires (also as buildrequires) that are put in the default
  Gemfile
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.2.2
  no changelog found
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 7.0.1
  no changelog found
* Mon Dec 27 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Don't limit building to specific ruby versions
* Tue Dec 21 2021 Manuel Schnitzer <mschnitzer@suse.com>
- Rails 7.0 has been released
  https://edgeguides.rubyonrails.org/7_0_release_notes.html
* Sun Dec 12 2021 Marcus Rueckert <mrueckert@suse.de>
- initial package
